Arch Frame/ru: Difference between revisions

From FreeCAD Documentation
(Created page with "==Определение==")
(Created page with "==Программирование==")
 
(39 intermediate revisions by 7 users not shown)
Line 1: Line 1:
<languages/>
<languages/>

{{Docnav/ru
|[[Arch_Equipment/ru|Оборудование]]
|[[Arch_Fence/ru|Ограждение]]
|[[Arch_Workbench/ru|Архитектурный верстак "Arch"]]
|IconL=Arch_Equipment.svg
|IconR=Arch_Fence.svg
|IconC=Workbench_Arch.svg
}}

{{GuiCommand/ru
{{GuiCommand/ru
|Name=Arch Frame
|Name/ru=Каркас
|Name/ru=Arch Frame
|Name=Arch_Frame
|MenuLocation=Arch Каркас
|Workbenches=[[Arch Module/ru|Arch]]
|Workbenches=[[Arch_Workbench/ru|Arch]]
|MenuLocation=Архитектура -> Каркас
|Shortcut=F R
|Shortcut={{KEY|F}} {{KEY|R}}
|SeeAlso=[[Arch_Wall/ru|Стена]], [[Arch_Structure/ru|Структура]]
}}
}}


==Описание==
==Определение==


<div class="mw-translate-fuzzy">
The Frame tool is used to build all kinds of frame objects based on a profile and a layout. The profile is extruded along the edges of the layout, which can be any 2D object such as a [[Sketcher Module|sketch]], or a [[Draft Module|draft object]]. It is especially useful to create railings, or frame walls. Frame objects can then easily be turned into [[Arch Wall|wall]] or [[Arch Structure|structure]] objects.
Инструмент «Рамка» используется для создания всех видов объектов фрейма на основе профиля и макета. Профиль экструдируется по краям макета, который может быть любым 2D-объектом, таким как [[Sketcher_Workbench|sketch]] или [[Draft_Workbench|draft object]]. Особенно полезно создавать перила или стены рамы. Объекты кадра затем могут быть легко превращены в объекты [[Arch Wall|wall]] или [[Arch Structure|structure]] .
</div>


[[Image:Arch Frame example.jpg|640px]]
[[Image:Arch Frame example.jpg|640px]]
<div class="mw-translate-fuzzy">
''На приведенном выше рисунке [[Draft Line|line]] была преобразована в [[Draft_OrthoArray|массива]], а объект фрейма был создан с использованием массива как макета, а [[Draft Circle|circle]] как профиль.''
</div>


==Применение==
In the above image, a [[Draft Line|line]] has been turned into an [[Draft Array|array]], and a frame object has been made using the array as layout, and a [[Draft Circle|circle]] as profile.


# Create a layout object and a profile object, for example with the [[Draft_Workbench|Draft Workbench]] or the [[Sketcher_Workbench|Sketcher Workbench]].
==How to use==
# Select the layout object first, then, with {{KEY|Ctrl}} pressed, select the profile object.
# Press the {{Button|[[Image:Arch Frame.svg|16px]] [[Arch_Frame|Arch Frame]]}} button, or press {{KEY|F}} then {{KEY|R}} keys.


==Опции==
# Create a layout object and a profile object, for example with the [[Draft Workbench]] or the [[Sketcher Workbench]]
# Select the layout object first, then, with {{KEY|CTRL}} pressed, select the profile object
# Press the {{KEY|[[Image:Arch Frame.png|16px]] [[Arch Frame]]}} button, or press {{KEY|F}} then {{KEY|R}} keys


* Frames share the common properties and behaviours of all [[Arch_Component|Arch Components]]
==Options==

* Frames share the common properties and behaviours of all [[Arch Component|Arch Components]]
* The frame object can be placed at a certain distance from the layout object, by setting its Offset property
* The frame object can be placed at a certain distance from the layout object, by setting its Offset property
* The profile will be copied at the base of each edge of the layout object, then extruded along it. You can control how the profile is placed at the base of each edge with the Align and Rotation properties.
* The profile will be copied at the base of each edge of the layout object, then extruded along it. You can control how the profile is placed at the base of each edge with the Align and Rotation properties.


==Свойства==
==Properties==


* {{PropertyData|Base}}: The layout this frame is based on.
* {{PropertyData|Base}}: The layout this frame is based on.
Line 36: Line 50:
* {{PropertyData|Rotation}}: The rotation of the profile around its extrusion axis.
* {{PropertyData|Rotation}}: The rotation of the profile around its extrusion axis.


==Программирование==
==Scripting==


<div class="mw-translate-fuzzy">
The Frame tool can by used in [[macros]] and from the python console by using the following function:
==Программирование==
{{Emphasis|См. так же:}} [[Arch API/ru|Arch API]] и [[FreeCAD Scripting Basics/ru|Основы составления скриптов FreeCAD]].
</div>


The Frame tool can be used in [[Macros|macros]] and from the [[Python|Python]] console by using the following function:
{{Code|code=
{{Code|code=
Frame = makeFrame(baseobj, profile)
makeFrame ( layout,profile )
}}
}}


* Creates a frame object from a base sketch (or any other object containing wires) and a profile object (an extrudable 2D object containing faces or closed wires)
* Creates a {{incode|Frame}} object from the given {{incode|baseobj}} and {{incode|profile}}.
** {{incode|baseobj}} is any object containing wires, like a [[Draft_Wire|Draft Wire]], or a [[Draft_OrthoArray|Draft OrthoArray]] with a collection of them.
* Returns the new frame object, or None if the operation failed.
** {{incode|profile}} is an extrudable 2D object containing faces or closed wires.

Example:


Пример:
{{Code|code=
{{Code|code=
import Draft, Arch
import Draft, Arch

layout = Draft.makeLine(FreeCAD.Vector(0,0,0),FreeCAD.Vector(2,0,0))
Line = Draft.makeLine(FreeCAD.Vector(0, 0, 0), FreeCAD.Vector(0, 0, 2000))
profile = Draft.makeCircle(.2)
baseobj = Draft.makeArray(Line, FreeCAD.Vector(1000, 0, 0), FreeCAD.Vector(0, 1, 0), 6, 1)
Arch.makeFrame(layout,profile)

profile = Draft.makeCircle(200)
Frame = Arch.makeFrame(baseobj, profile)
FreeCAD.ActiveDocument.recompute()
}}
}}


{{Docnav/ru
|[[Arch_Equipment/ru|Оборудование]]
|[[Arch_Fence/ru|Ограждение]]
|[[Arch_Workbench/ru|Архитектурный верстак "Arch"]]
|IconL=Arch_Equipment.svg
|IconR=Arch_Fence.svg
|IconC=Workbench_Arch.svg
}}

{{Arch Tools navi{{#translation:}}}}
{{Userdocnavi{{#translation:}}}}

Latest revision as of 17:41, 26 August 2022

Каркас

Системное название
Arch_Frame
Расположение в меню
Arch → Каркас
Верстаки
Arch
Быстрые клавиши
F R
Представлено в версии
-
См. также
Стена, Структура

Описание

Инструмент «Рамка» используется для создания всех видов объектов фрейма на основе профиля и макета. Профиль экструдируется по краям макета, который может быть любым 2D-объектом, таким как sketch или draft object. Особенно полезно создавать перила или стены рамы. Объекты кадра затем могут быть легко превращены в объекты wall или structure .

На приведенном выше рисунке line была преобразована в массива, а объект фрейма был создан с использованием массива как макета, а circle как профиль.

Применение

  1. Create a layout object and a profile object, for example with the Draft Workbench or the Sketcher Workbench.
  2. Select the layout object first, then, with Ctrl pressed, select the profile object.
  3. Press the Arch Frame button, or press F then R keys.

Опции

  • Frames share the common properties and behaviours of all Arch Components
  • The frame object can be placed at a certain distance from the layout object, by setting its Offset property
  • The profile will be copied at the base of each edge of the layout object, then extruded along it. You can control how the profile is placed at the base of each edge with the Align and Rotation properties.

Свойства

  • ДанныеBase: The layout this frame is based on.
  • ДанныеProfile: The profile this frame is based on.
  • ДанныеAlign: Specifies if the profile must be rotated to have its normal axis aligned with each edge.
  • ДанныеOffset: An optional distance between the layout object and the frame object.
  • ДанныеRotation: The rotation of the profile around its extrusion axis.

Программирование

Программирование

См. так же: Arch API и Основы составления скриптов FreeCAD.

The Frame tool can be used in macros and from the Python console by using the following function:

Frame = makeFrame(baseobj, profile)
  • Creates a Frame object from the given baseobj and profile.
    • baseobj is any object containing wires, like a Draft Wire, or a Draft OrthoArray with a collection of them.
    • profile is an extrudable 2D object containing faces or closed wires.

Пример:

import Draft, Arch

Line = Draft.makeLine(FreeCAD.Vector(0, 0, 0), FreeCAD.Vector(0, 0, 2000))
baseobj = Draft.makeArray(Line, FreeCAD.Vector(1000, 0, 0), FreeCAD.Vector(0, 1, 0), 6, 1)

profile = Draft.makeCircle(200)
Frame = Arch.makeFrame(baseobj, profile)
FreeCAD.ActiveDocument.recompute()